---
title: CSV Fields
slug: serpwow/search-api/reference/csv-fields
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# CSV Fields Reference

SerpWow can return data in CSV format by specifying the  `output=csv`  request parameter. When setting  `output=csv`  the  `csv_fields`  parameter determines the fields to include in the CSV result.

CSV fields should be specified as a comma seperated list of field names, with  **nested fields being expressed in dot notation** .

Here's an example of the  `csv_fields`  parameter:

`csv_fields=`
Below is a full list of all of the supported CSV Fields shown under their group.

| `Field Group`                  | `Fields in Group`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `search`                       | `q` `device` `location` `location_auto` `google_domain` `gl` `hl` `lr` `cr` `custom_id` `time_period` `time_period_min` `time_period_max` `show_duplicates` `flatten_results` `news_type` `nfpr` `search_type` `filter` `safe` `start` `page` `max_page` `amazon_domain` `ebay_domain` `product_id` `data_id` `data_cid` `category_id` `topic_id` `next_page_token` `autocomplete_search_index ads_optimized`                                                                                                                                                                                                                                                                                                                                    |
| `search_information`           | `total_results` `time_taken_displayed` `query_displayed` `detected_location` `showing_results_for` `did_you_mean` `original_query_yields_zero_results`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `request_info`                 | `success` `credits_used` `credits_remaining` `message`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `pagination`                   | `current` `next` `api_pagination.next` `next_page_token`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `search_metadata`              | `id` `engine_url` `created_at` `processed_at` `total_time_taken` `html_url` `json_url`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `organic_results`              | `position` `title` `type` `source` `block_position` `image` `link` `displayed_link` `domain` `snippet` `cached_page_link` `related_page_link` `snippet_matched` `prerender` `date` `date_utc` `faq.question` `faq.answer` `sitelinks.inline.link` `sitelinks.inline.title` `thumbnails.image` `rich_snippet.top.detected_extensions.price` `rich_snippet.top.detected_extensions.symbol` `rich_snippet.top.detected_extensions.in_stock` `rich_snippet.top.detected_extensions.rating` `rich_snippet.top.detected_extensions.reviews` `rich_snippet.top.detected_extensions.currency.code` `rich_snippet.top.detected_extensions.currency.name` `rich_snippet.top.detected_extensions.currency.symbol` `rich_snippet.top.attributes_flat` `page` |
| `ai_overview`                  | `ai_overview.ai_overview_banner` `ai_overview.ai_overview_contents.type`<br />`ai_overview.ai_overview_contents.text`<br />`ai_overview.ai_overview_contents.source_image`<br />`  ai_overview.ai_overview_contents.list.header  `<br />`ai_overview.ai_overview_contents.list.text`<br />`ai_overview.ai_overview_contents.list.source_image` `ai_overview.ai_overview_sources.source_title`<br />`ai_overview.ai_overview_sources.source_description`<br />`ai_overview.ai_overview_sources.source_url`<br />`ai_overview.ai_overview_sources.source_domain`<br />`ai_overview.ai_overview_sources.source_image`<br />`ai_overview.ai_overview_sources.source_name `<br />`ai_overview.ai_overview_footer`                                     |
| `top_stories`                  | `block_position` `title` `link` `source` `date` `date_utc` `thumbnail` `video` `live`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `ads`                          | `position` `block_position` `title` `link` `domain` `tracking_link` `displayed_link` `description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `autocomplete_results`         | `value` `value_formatted`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `inline_images`                | `link` `image` `source`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `inline_tweets`                | `link` `status_link` `title` `snippet` `date`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `inline_videos`                | `title` `link` `length` `source` `date`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `inline_shopping`              | `link` `title` `price` `merchant` `feed_name` `feed_link` `position` `rating` `reviews` `block_position` `is_single_product` `image` `visible_initially`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `image_results`                | `position` `title` `width` `height` `image` `image_type` `link` `source.link` `source.name` `description` `rating` `reviews` `brand` `in_stock`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `news_results`                 | `position` `title` `domain` `link` `source` `date` `date_utc` `snippet` `page`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `video_results`                | `position` `title` `domain` `link` `displayed_link` `date` `date_utc` `snippet` `length`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `places_results`               | `position` `data_id` `data_cid` `title` `link` `sponsored` `snippet` `address` `phone` `rating` `reviews` `unclaimed` `category` `gps_coordinates.latitude` `gps_coordinates.longitude` `permanently_closed` `page`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `place_reviews_results`        | `source` `body` `rating` `source_link` `source_image` `source_review_count` `date` `date_utc` `position` `owner_reply.body` `owner_reply.date` `owner_reply.date_utc`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `place_photos_results`         | `thumbnail` `image` `user.link` `user.text` `user.name`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `place_products_results`       | `name` `price` `link` `image` `position`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `place_details`                | `title` `type` `category` `website` `description` `rating` `reviews` `address` `phone`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `place_posts_results`          | `image` `link` `date` `title` `position`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `shopping_results`             | `position` `title` `link` `price` `price_raw` `merchant` `snippet` `rating` `reviews` `page` `id` `gpc_id` `image` `has_compare_prices` `merchant_ratings` `merchant_positive_rating_percent` `is_carousel` `carousel_position` `merchant_id` `group_header`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `local_results`                | `position` `link` `address` `block_position` `gps_coordinates.latitude` `gps_coordinates.longitude` `title` `image` `rating` `reviews` `type` `phone` `phone`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `local_map`                    | `link` `gps_coordinates.latitude` `gps_coordinates.longitude` `gps_coordinates.altitude` `image`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `knowledge_graph`              | `title` `type` `phone` `permanently_closed` `website` `reviews` `rating` `address` `opening_hours` `description` `source.name` `source.link` `gps_coordinates` `business_availability_modes` `busyness_hours` `category` `price` `people_also_search_for` `menu` `order_food` `reservations`                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `related_questions`            | `question` `answer` `source.link` `source.displayed_link` `source.title` `search.link` `search.title`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `related_searches`             | `query` `link`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `answer_box`                   | `answers.type` `answers.category` `answers.answer` `answers.source.link` `answers.source.displayed_link` `answers.source.title`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `amazon_results`               | `position` `title` `link` `rating` `ratings_total` `asin` `sponsored` `price.value` `price.currency` `price.symbol` `price.raw` `image` `is_prime` `page`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `ebay_results`                 | `position` `title` `link` `rating` `ratings_total` `epid` `sponsored` `price.value` `price.currency` `price.symbol` `price.raw` `image` `page`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `trends_interest_over_time`    | `trends_interest_over_time.data.date_utc` `trends_interest_over_time.data.date_formatted` `trends_interest_over_time.data.values.keyword` `trends_interest_over_time.data.values.has_value` `trends_interest_over_time.data.values.value` `trends_interest_over_time.data.values.value_formatted`                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `trends_interest_by_subregion` | `trends_interest_by_subregion.geo` `trends_interest_by_subregion.name` `trends_interest_by_subregion.values.keyword` `trends_interest_by_subregion.values.has_value` `trends_interest_by_subregion.values.value` `trends_interest_by_subregion.values.value_formatted`                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `related_queries`              | `related_queries.keyword` `related_queries.top_queries.position` `related_queries.top_queries.query` `related_queries.top_queries.value` `related_queries.top_queries.value_formatted` `related_queries.top_queries.link` `related_queries.rising_queries.position` `related_queries.rising_queries.query` `related_queries.rising_queries.value` `related_queries.rising_queries.value_formatted` `related_queries.rising_queries.link`                                                                                                                                                                                                                                                                                                         |
| `related_topics`               | `related_topics.keyword` `related_topics.top_topics.position` `related_topics.top_topics.topic_title` `related_topics.top_topics.topic_type` `related_topics.top_topics.topic_id` `related_topics.top_topics.value` `related_topics.top_topics.value_formatted` `related_topics.top_topics.link` `related_topics.rising_topics.position` `related_topics.rising_topics.query` `related_topics.rising_topics.value` `related_topics.rising_topics.value_formatted` `related_topics.rising_topics.link`                                                                                                                                                                                                                                            |
| `product_results`              | `product_id` `title` `rating` `reviews` `description` `primary_image` `specifications.name` `specifications.value` `sellers_online.position` `sellers_online.merchant` `sellers_online.link` `sellers_online.merchant_positive_rating_percentage` `sellers_online.merchant_reviews` `sellers_online.base_price` `sellers_online.shipping_price` `sellers_online.tax_price` `sellers_online.total_price`                                                                                                                                                                                                                                                                                                                                          |
| `scholar_results`              | `scholar_results.position` `scholar_results.title` `scholar_results.link` `scholar_results.domain` `scholar_results.displayed_link` `scholar_results.snippet`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |

